gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.LabelAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype LabelAccessible = LabelAccessible (ManagedPtr LabelAccessible)
- class (GObject o, IsDescendantOf LabelAccessible o) => IsLabelAccessible o
- toLabelAccessible :: (MonadIO m, IsLabelAccessible o) => o -> m LabelAccessible

# Exported types

newtype LabelAccessible Source #

Memory-managed wrapper type.

Constructors

LabelAccessible (ManagedPtr LabelAccessible) |

#### Instances

Instances details

Eq LabelAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LabelAccessible Methods (==) :: LabelAccessible -> LabelAccessible -> Bool Source # (/=) :: LabelAccessible -> LabelAccessible -> Bool Source #
GObject LabelAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LabelAccessible
ManagedPtrNewtype LabelAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LabelAccessible Methods toManagedPtr :: LabelAccessible -> ManagedPtr LabelAccessible Source #
TypedObject LabelAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LabelAccessible Methods glibType :: IO GType Source #
HasParentTypes LabelAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LabelAccessible
IsGValue (Maybe LabelAccessible) Source # | Convert `LabelAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.LabelAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe LabelAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe LabelAccessible) Source #
type ParentTypes LabelAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LabelAccessible type ParentTypes LabelAccessible = '[WidgetAccessible, Accessible, Object, Object, Component, Hypertext, Text]

class (GObject o, IsDescendantOf LabelAccessible o) => IsLabelAccessible o Source #

Type class for types which can be safely cast to `LabelAccessible`, for instance with `toLabelAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf LabelAccessible o) => IsLabelAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.LabelAccessible

toLabelAccessible :: (MonadIO m, IsLabelAccessible o) => o -> m LabelAccessible Source #

Cast to `LabelAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, addSelection, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, removeSelection, runDispose, scrollSubstringTo, scrollSubstringToPoint, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getBoundedRanges, getCaretOffset, getCharacterAtOffset, getCharacterCount, getCharacterExtents, getData, getDefaultAttributes, getDescription, getExtents, getHelpText, getIndexInParent, getLayer, getLink, getLinkIndex, getMdiZorder, getNAccessibleChildren, getNLinks, getNSelections, getName, getObjectLocale, getOffsetAtPoint, getParent, getPosition, getProperty, getQdata, getRangeExtents, getRole, getRunAttributes, getSelection, getSize, getStringAtOffset, getText, getTextAfterOffset, getTextAtOffset, getTextBeforeOffset, getWidget.

#### Setters

setAccessibleId, setCaretOffset, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSelection, setSize, setWidget.